Name:           dexter
Version:        0.18
Release:        %mkrel 5
Summary:        Address Book that goes hand in hand with Postler
Group:          Networking/Mail
License:        GPLv3
URL:            http://launchpad.net/dexter-rolodex
Source0:        http://launchpad.net/dexter-rolodex/0.x/%{version}/+download/%{name}_%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-distutils-extra
BuildRequires:  pygtk2.0
BuildRequires:  pygtk2.0-devel
BuildRequires:  python-storm
BuildRequires:	python-vobject 
BuildRequires:  python-dbus
BuildRequires:  python-enchant
BuildRequires:  intltool
BuildRequires:  xauth
BuildRequires:  desktop-file-utils
Requires:       pygtk2.0
Requires:       python-storm
Requires:       python-vobject
Requires:       python-dbus
Requires:       python-gudev
Requires:       python-enchant
Requires:	python-pyxdg
Requires:	python-six

%description
Dexter is a very simple, easy to use address book, designed with the
home user in mind. This personal contact manager integrates with
Postler, and can import and export contacts in vCard format.


%prep
%setup -q -n dexter-rolodex

rm -rf apport etc/apport

# remove shebangs and fix permissions
find . -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;


%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --remove-category="Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
update-desktop-database &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/dexter
%{_bindir}/dexter-server
%{_datadir}/dexter
%{python_sitelib}/dexter*
%{_datadir}/dbus-1/services/org.elementary.dexterserver.service
%{_datadir}/applications/dexter.desktop


%changelog
* Tue Aug 20 2013 billybot <billybot> 0.18-4pclos2013
- add req: python-six

* Fri Aug 16 2013 billybot <billybot> 0.18-4pclos2013
- update python 2.7

* Tue Dec 06 2011 Texstar <texstar at gmail.com> 0.18-3pclos2011
- add pyxdg dependency

* Sat Apr 09 2011 Texstar <texstar at gmail.com> 0.18-2pclos2011
- fix group Networking/Mail
- fix menu entry
- fix build

* Sun Apr 03 2011 Sproggy <desproggster at gmail.com> 0.18-1pclos2011
- initial build for PCLOS
